跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
/
{draft_id}
/
send
发送草稿
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "add_labels": "<string>",
  "remove_labels": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/send"

payload = {
"add_labels": "<string>",
"remove_labels": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add_labels: '<string>', remove_labels: '<string>'})
};

fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message_id": "<string>",
  "thread_id": "<string>"
}
{
"name": "<string>",
"errors": "<unknown>"
}
{
"name": "<string>",
"message": "<string>"
}
{
"name": "<string>",
"message": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

inbox_id
string
必填

收件箱的 ID。

draft_id
string
必填

草稿 ID。

请求体

application/json
add_labels

要添加到消息的一个或多个标签。

remove_labels

要从消息中移除的一个或多个标签。

响应

状态码为 200 的响应

message_id
string
必填

消息 ID。

thread_id
string
必填

会话 ID。